Help testing 12.0.11 RC 1 and 13.0.6 RC 1


#1

Hey there!

We just packaged the RC 1 of the maintenance releases of 12.0.11 and 13.0.6

You can download them from the prerelease folder at:

Also it will show shortly up in the updater beta channel.

Happy testing :rocket:

The changelog of those versions can be found here:

13.0.6 RC 1

12.0.11 RC 1


#2

No issues with upgrade form 13.0.5 to 13.0.6RC1.
Debian 9.5, PHP 7.0.30, PostgreSQL 9.6.10, Apache 2.4.25
Just some basic testing, with manual upgrade, no S3, SMB or LDAP in use.


#3

It shows only the update to 14.0.0 RC1 in the beta chanel and not the update to 13.0.6 RC1.
Nextcloud 13.0.5 is here running.


#4

That’s why I did a manual update, which is my preferred method, so completely from cli.
Especially when multiple RC’s releases are live.

But if you still want to use the webupdater, just click “Open Updater”.
In the next step you will see that you will first upgrade to 13.0.6RC1


#5

13.0.6 is now pulled up on the Updater Section of the Admin Panel.
Thank you


#6

Hat wie immer alles bestens Funktioniert. :slight_smile:


#7

I just upgrade from 13.0.5 to 13.0.6 and I do not have access to Contact
nor Calendar anymore !

here is the error message in the nextcloud.log
{“reqId”:“W4j3NMb9g7BRERSMghSAgAAAAEg”,“level”:3,“time”:“2018-08-31T08:07:16+00:00”,“remoteAddr”:“10.10.0.7”,“user”:“pichon”,“app”:“lib”,“method”:“GET”,“url”:"/index.php/apps/contacts",“message”:“ResourceLocator
can not find a web root (root: /var/lib/nextcloud/apps/contacts,
file: index.php/css/contacts/5fd0-640c-style.css, webRoot: , throw:
true)”,“userAgent”:“Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:61.0)
Gecko/20100101 Firefox/61.0”,“version”:“13.0.6.1”}

While:

in httpd nextcloud configuration I have
Alias /nextcloud/apps-appstore /var/lib/nextcloud/apps

<Directory /var/lib/nextcloud/apps/>
     Include conf.d/nextcloud-auth-local.inc
     Include conf.d/nextcloud-defaults.inc
</Directory>

cat nextcloud-auth-local.inc

# Apache config snippet. To be used by /etc/httpd/conf.d/*.conf files
# with Include. Allows access only from local system.

<IfModule mod_authz_core.c>
# Apache 2.4
Require local
</IfModule>
<IfModule !mod_authz_core.c>
# Apache 2.2
Order Deny,Allow
Deny from all
Allow from 127.0.0.1
Allow from ::1
</IfModule>

#8

Maybe the addons were disabled. Check of you have already enabled.

Regards


#9

Hello,

As per the log, there is an access to it which mean enabled … But
anyway I did disable -> remove and finally enable and the problem
remains !

Best regards
Patrick


#10

Upgrade from 13.0.5 to 13.0.6 failed for me. See topic during-updade-from-13-0-5-to-13-06-database-error-sqlstate-23000


#11

Thanks to everybody to help testing. Both versions have been release, please use individual topics if there are still problems.


#12